<?php

/**
 * @file
 * Bulk export of field_group objects generated by Bulk export module.
 */

/**
 * Implements hook_field_group_info().
 */
function project_issue_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_project_issues|node|project|form';
  $field_group->group_name = 'group_project_issues';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'project';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Issues',
    'weight' => '4',
    'children' => array(
      0 => 'field_project_has_issue_queue',
      1 => 'field_project_components',
      2 => 'field_project_default_component',
      3 => 'field_project_issue_guidelines',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_project_issues|node|project|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_issue_metadata|node|project_issue|form';
  $field_group->group_name = 'group_issue_metadata';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'project_issue';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Issue metadata',
    'weight' => '0',
    'children' => array(
      0 => 'group_issue_project_settings',
      1 => 'group_issue_settings',
      2 => 'group_project_issue_tags',
      3 => 'title',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_issue_metadata|node|project_issue|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_issue_project_settings|node|project_issue|form';
  $field_group->group_name = 'group_issue_project_settings';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'project_issue';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_issue_metadata';
  $field_group->data = array(
    'label' => 'Project settings',
    'weight' => '0',
    'children' => array(
      0 => 'field_issue_component',
      1 => 'field_issue_assigned',
      2 => 'field_project',
      3 => 'field_issue_version',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Project settings',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'issue-settings',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_issue_project_settings|node|project_issue|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_issue_settings|node|project_issue|form';
  $field_group->group_name = 'group_issue_settings';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'project_issue';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_issue_metadata';
  $field_group->data = array(
    'label' => 'Issue metadata',
    'weight' => '4',
    'children' => array(
      0 => 'field_issue_status',
      1 => 'field_issue_priority',
      2 => 'field_issue_category',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Issue metadata',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'issue-settings',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_issue_settings|node|project_issue|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_issue_relations|node|project_issue|form';
  $field_group->group_name = 'group_issue_relations';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'project_issue';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Issue summary & relationships',
    'weight' => '30',
    'children' => array(
      0 => 'field_issue_parent',
      1 => 'field_issue_related',
      2 => 'body',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'required_fields' => 0,
        'classes' => '',
        'description' => '',
      ),
    ),
  );
  $field_groups['group_issue_relations|node|project_issue|form'] = $field_group;

  return $field_groups;
}
